package com.cyl.manager.ums.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cyl.manager.ums.domain.MemberPointHistory;

/**
 * 积分集点明细Mapper接口
 * 
 * @author daixiande
 */
public interface MemberPointHistoryMapper extends BaseMapper<MemberPointHistory> {
    /**
     * 查询积分集点明细
     * 
     * @param id 积分集点明细主键
     * @return 积分集点明细
     */
    MemberPointHistory selectById(Integer id);

    /**
     * 查询积分集点明细列表
     * 
     * @param memberPointHistory 积分集点明细
     * @return 积分集点明细集合
     */
    List<MemberPointHistory> selectList(MemberPointHistory memberPointHistory);

    /**
     * 新增积分集点明细
     * 
     * @param memberPointHistory 积分集点明细
     * @return 结果
     */
    int insert(MemberPointHistory memberPointHistory);

    /**
     * 修改积分集点明细
     * 
     * @param memberPointHistory 积分集点明细
     * @return 结果
     */
    int update(MemberPointHistory memberPointHistory);

    /**
     * 删除积分集点明细
     * 
     * @param id 积分集点明细主键
     * @return 结果
     */
    int deleteById(Integer id);

    /**
     * 批量删除积分集点明细
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteByIds(Integer[] ids);

    /**
     * 更新或插入积分集点明细
     *
     * @param memberPointHistory 积分集点明细
     * @return 结果
     */
    int insertOrUpdate(MemberPointHistory memberPointHistory);
}
